Introductions your company is party to
curl --request GET \
--url https://api.gpuoutlet.ai/v1/introductions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gpuoutlet.ai/v1/introductions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gpuoutlet.ai/v1/introductions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"reference": "<string>",
"status": "active",
"side": "buyer",
"listingId": "<string>",
"buyerRequestId": "<string>",
"buyer": {
"legalName": "<string>",
"country": "<string>"
},
"seller": {
"legalName": "<string>",
"country": "<string>"
},
"buyerContacts": [
{
"email": "<string>",
"role": "<string>"
}
],
"capacity": {
"demand": {
"gpuModel": "<string>",
"gpusPerNode": 123,
"nodes": 123,
"region": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"durationMonths": 123,
"budgetMonthlyCents": 123,
"currency": "USD"
},
"listing": {
"id": "<string>",
"title": "<string>",
"gpuModel": "<string>",
"region": "<string>"
}
},
"feeBasisPoints": 123,
"agreement": {
"version": "<string>",
"hash": "<string>"
},
"revealedAt": "2023-11-07T05:31:56Z",
"tailEndsAt": "2023-11-07T05:31:56Z",
"claimDeadlineAt": "2023-11-07T05:31:56Z",
"closedAt": "2023-11-07T05:31:56Z",
"readiness": {
"sellerReadyAt": "2023-11-07T05:31:56Z",
"buyerReadyAt": "2023-11-07T05:31:56Z"
}
}
],
"meta": {
"nextCursor": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>",
"required_scope": "<string>",
"retry_after_seconds": 123,
"current": "<string>",
"problems": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>",
"required_scope": "<string>",
"retry_after_seconds": 123,
"current": "<string>",
"problems": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>",
"required_scope": "<string>",
"retry_after_seconds": 123,
"current": "<string>",
"problems": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>",
"required_scope": "<string>",
"retry_after_seconds": 123,
"current": "<string>",
"problems": [
"<string>"
]
}
}Introductions
Introductions your company is party to
side is required and never inferred: a company that both buys and sells must not find its purchases among its sales. Newest first, cursor-paginated. Requires introductions:read.
GET
/
introductions
Introductions your company is party to
Authorizations
An API key from your dashboard, sent as Authorization: Bearer gpk_….
Query Parameters
Available options:
buyer, seller Opaque; from meta.nextCursor. Valid only for the list that produced it.
Maximum string length:
64Required range:
1 <= x <= 100